import sys
from .e_parser import TorrentParser


def main():
    if len(sys.argv) < 2:
        sys.exit('no enough args')

    if len(sys.argv) > 2:
            conf_path = sys.argv[2]
    else:
        conf_path = '/etc/'

    if sys.argv[1] == 'start':
        parser = TorrentParser(conf_path=conf_path)

    if sys.argv[1] == 'stop':
        pass

    if sys.argv[1] == 'run':
        parser = TorrentParser(conf_path=conf_path)
        parser.run()
        parser.join()

if __name__ == '__main__':
    main()
